简介

本文介绍一个更新 Microsoft.NET Framework 4.7.2 上 Windows 10 版本 1607;Windows 10、 版本 1703 (仅目录下载) 和 Windows 服务器 2016 (仅适用于目录下载)。

有关 Microsoft.NET Framework 4.7.2

Microsoft.NET Framework 4.7.2 是.NET Framework 4.6.2、 4.7 和 4.7.1 高度兼容,并适当地更新。但是,它可以运行通过并行与.NET Framework 3.5 Service Pack 1 (SP1) 和.NET Framework 的早期版本。

当您安装此程序包时,它是在控制面板中的已安装的更新项下列为Microsoft Windows (KB4054590) 的更新

Microsoft.NET Framework 4.7.2 是可用的 Windows 更新 (WU),在 Windows 服务器更新服务驱动程序列表。它将作为 Windows Update 上推荐的更新被提供。

注意

  • 会根据您在 Windows Update 上的计算机设置,所有支持的平台上会自动安装推荐的更新。

  • 对于 Windows 10 版本 1607 (非-LTSB),更新是 WU、 WSUS 和更新目录上可用。

  • 第 10 Windows 版本 1607 (LTSB);第 10 Windows 版本 1703;和 Windows 服务器 2016,更新仅可更新目录。

下载信息

可从 Microsoft 下载中心下载以下文件:

立即下载.NET Framework 4.7.2 脱机安装程序包

有关.NET Framework 4.7.2 脱机安装程序的信息,请参阅Microsoft.NET Framework 4.7.2 脱机安装程序窗口

有关如何下载 Microsoft 支持的文件,请参阅如何获取 Microsoft 支持文件从联机服务

Microsoft 使用的是该文件发布时可以获得的最新病毒检测软件来扫描该文件是否有病毒。 该文件存储在安全性得到增强的服务器上,以防止在未经授权的情况下对其进行更改。

更多信息

已知问题

  • 应用程序依赖于.NET Framework 初始化 COM 组件和使用受限权限运行可能无法启动或正确运行,并返回"访问被拒绝,""没有注册,此类"或"未知原因发生内部故障"错误。

  • .NET Framework 4.7.2 中的已知问题,请参阅.NET Framework 4.7.2 已知问题

此更新的命令行开关

有关此更新支持的各种命令行选项的详细信息,请参见.NET Framework 开发人员部署指南中的"命令行选项"部分。

重启要求

您可能在安装此更新后,必须重新启动计算机。我们建议您退出所有应用程序使用.NET Framework 安装此更新之前。

受支持的操作系统

Microsoft.NET Framework 4.7.2 (脱机安装程序) 支持以下操作系统:

  • (X 86 和 x64) 的 Windows 10 周年更新 (1607年版本)

  • (X 86 和 x64) 的 Windows 10 创建者更新 (1703年版本)

  • Windows Server 2016 (x64)

Need more help?

扩展你的技能

了解培训 >

抢先获得新功能

加入 Microsoft 内部人员 >

Was this information helpful?

How satisfied are you with the translation quality?
What affected your experience?

Thank you for your feedback!

×